Integrate automated video downloading into your software or background workflows.
Pass your active API Key in the HTTP Request Header X-API-Key or as query parameter ?api_key=YOUR_KEY.
/api/v1/jobs
Submit one or multiple video URLs to be processed by the queue worker.
{
"urls": [
"https://www.youtube.com/watch?v=dQw4w9WgXcQ"
]
}
curl -X POST "https://bambuhoki.biz.id/api/v1/jobs" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"urls": ["https://www.youtube.com/watch?v=dQw4w9WgXcQ"]}'
{
"success": true,
"message": "Job queued successfully",
"job_code": "JOB_9F2B81C04A12E8D3",
"total_queued": 1
}
/api/v1/jobs/status?job_code={JOB_CODE}
Query the real-time processing status and download link of a queued job.
{
"success": true,
"job": {
"job_code": "JOB_9F2B81C04A12E8D3",
"type": "single",
"status": "completed",
"total_items": 1,
"completed_items": 1,
"failed_items": 0,
"items": [
{
"id": 42,
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"title": "Rick Astley - Never Gonna Give You Up",
"file_size": 15482910,
"status": "completed",
"download_url": "https://bambuhoki.biz.id/download.php?token=9a8b7c6d5e4f3a2b"
}
]
}
}